///////////////////////////////////////////////////////////////////////////////
//
// File:    ledmatrix.h
// Author:  Roger Rowland
//
// Created: November 2014
//
///////////////////////////////////////////////////////////////////////////////

#ifndef LEDMATRIX_H
#define	LEDMATRIX_H

///////////////////////////////////////////////////////////////////////////////
// public LED matrix function prototypes for 4 8x8 LED matrices via MAX7219's
// so this is treated as a 16x16 matrix when using the following functions
///////////////////////////////////////////////////////////////////////////////

void LEDInit();                                         // initialise LED matrices
void LEDClear(uint8_t bRefresh);                        // turn all LEDs off
void LEDSet(uint8_t uRow, uint8_t uCol, uint8_t bOn,    // set a single LED on or off
        uint8_t bRefresh);
void LEDSetRow(uint8_t uRow, uint16_t uData,            // set all 16 LEDs at given row
        uint8_t bRefresh);
void LEDRefreshRow(uint8_t uRow);                       // refresh given row
void LEDRefresh();                                      // refresh all rows

#endif	/* LEDMATRIX_H */

